/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.TCoreUmls;

import java.time.LocalDateTime;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TCoreUmlsRecord extends UpdatableRecordImpl<TCoreUmlsRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_core_umls.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_core_umls.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(0);
    }

    /**
     * Setter for <code>common_dd.t_core_umls.pk</code>. unique id
     */
    public void setPk(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_core_umls.pk</code>. unique id
     */
    public Integer getPk() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.t_core_umls.dn</code>. reference to dn of
     * element
     */
    public void setDn(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_core_umls.dn</code>. reference to dn of
     * element
     */
    public String getDn() {
        return (String) get(2);
    }

    /**
     * Setter for <code>common_dd.t_core_umls.umls</code>. umls code for element
     */
    public void setUmls(String value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.t_core_umls.umls</code>. umls code for element
     */
    public String getUmls() {
        return (String) get(3);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TCoreUmlsRecord
     */
    public TCoreUmlsRecord() {
        super(TCoreUmls.T_CORE_UMLS);
    }

    /**
     * Create a detached, initialised TCoreUmlsRecord
     */
    public TCoreUmlsRecord(LocalDateTime lastchange, Integer pk, String dn, String umls) {
        super(TCoreUmls.T_CORE_UMLS);

        setLastchange(lastchange);
        setPk(pk);
        setDn(dn);
        setUmls(umls);
        resetChangedOnNotNull();
    }
}
